Look up a bill or account
POST
/api/app/payment-processor/lookup
const url = 'https://test.unipay.co.zw/api/app/payment-processor/lookup';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"billNo":"example","serviceProvider":"example","accountNumber":"example","currency":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://test.unipay.co.zw/api/app/payment-processor/lookup \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "billNo": "example", "serviceProvider": "example", "accountNumber": "example", "currency": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
billNo
string
serviceProvider
string
accountNumber
string
currency
string
Examplegenerated
{ "billNo": "example", "serviceProvider": "example", "accountNumber": "example", "currency": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
successful
boolean
message
string
isNewRecord
boolean
status
integer format: int32
errorCode
string
bill
object
uniqueNo
string
billNo
string
serviceProviderNumber
string
serviceProviderName
string
billDate
string format: date-time
accountNumber
string
name
string
description
string
totalAmount
number format: double
standing
integer format: int32
totalPaid
number format: double
remainingBalance
number format: double
currency
string
dueDate
string format: date-time
expiryDate
string format: date-time
serviceProvider
string
accountNo
string
amount
number format: double
otherCurrenciesAvailable
Array<string>
amountDueNow
number format: double
payableNow
number format: double
balanceAsAt
string format: date-time
balanceSource
string
balanceIsStale
boolean
accountBalances
Array<object>
object
currency
string
amountDue
number format: double
asAt
string format: date-time
isStale
boolean
acceptedCurrencies
Array<string>
requestedCurrencyAccepted
boolean
requestedCurrency
string
conversionApplied
boolean
convertedTotalAmount
number format: double
convertedRemainingBalance
number format: double
rate
number format: double
rateDate
string format: date-time
rateIsStale
boolean
conversionIsIndicative
boolean
Example
{ "status": 0, "bill": { "standing": 0 }}Bad Request
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}Unauthorized: token missing, invalid or expired. Empty body.
Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)
Not found: wrong path. Empty body.
Internal Server Error
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions